#include <bits/stdc++.h>


using namespace std;
typedef long long ll;

int main()
{
    string a,b,p,s;
    cin>>a>>b;
    ll d1, d2, p1, r;
    d1 = a.length();
    d2 = b.length();


    //funkcija koja proverava da li je a < b i ako jeste menja im mesta
    if (d1<d2){
        p = a;
        a = b;
        b = p;
        p1 = d1;
        d1 = d2;
        d2 = p1;
    }
    // provereno radi

    r = d1-d2;
    s = a.substr(0, r);
    a = a.substr(r, d1-r);
    // cout<<s<<" "<<a;

    for(int i = 0;i < d2; i++){
        if (a[i] > b[i])
            s += a[i];

        if (a[i] < b[i])
            s += b[i];

        if (a[i] == b[i]){
            s += a[i];
            s += a[i];
        }
    }

    cout<< s;
    return 0;
}